Package org.jacoco.ant

## Class InstrumentTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jacoco.ant.InstrumentTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class InstrumentTask
    extends org.apache.tools.ant.Task

Task for offline instrumentation of class files.

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`InstrumentTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigured​(org.apache.tools.ant.types.ResourceCollection resources)` This task accepts any number of class file resources.
`void` `execute()`
`void` `setDestdir​(java.io.File destdir)` Sets the location of the instrumented classes.
`void` `setRemovesignatures​(boolean removesignatures)` Sets whether signatures should be removed from JAR files.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstrumentTask

    public InstrumentTask()

### Method Detail

#### setDestdir

    public void setDestdir​(java.io.File destdir)

Sets the location of the instrumented classes.

Parameters:
  `destdir` - destination folder for instrumented classes

#### setRemovesignatures

    public void setRemovesignatures​(boolean removesignatures)

Sets whether signatures should be removed from JAR files.

Parameters:
  `removesignatures` - `true` if signatures should be removed

#### addConfigured

    public void addConfigured​(org.apache.tools.ant.types.ResourceCollection resources)

This task accepts any number of class file resources.

Parameters:
  `resources` - Execution data resources

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`